RevokePermissionsStatement (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Class RevokePermissionsStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement
    - - org.apache.cassandra.cql3.statements.PermissionsManagementStatement
      - - org.apache.cassandra.cql3.statements.RevokePermissionsStatement

- All Implemented Interfaces:
    CQLStatement

      public class RevokePermissionsStatement
      extends PermissionsManagementStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.PermissionsManagementStatement

      `grantee, permissions, resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokePermissionsStatement(java.util.Set<Permission> permissions, IResource resource, RoleName grantee)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultMessage` | `execute(ClientState state)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.PermissionsManagementStatement

      `checkAccess, validate`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.AuthorizationStatement

      `execute, executeInternal, getBoundTerms, maybeCorrectResource, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

      `getFunctions`

- - ### Constructor Detail

    - #### RevokePermissionsStatement

          public RevokePermissionsStatement(java.util.Set<Permission> permissions,
                                            IResource resource,
                                            RoleName grantee)

  - ### Method Detail

    - #### execute

          public ResultMessage execute(ClientState state)
                                throws RequestValidationException,
                                       RequestExecutionException

      Specified by:
        `execute` in class `AuthorizationStatement`
      Throws:
        `RequestValidationException`
        `RequestExecutionException`

Copyright © 2018 The Apache Software Foundation